Subject: BD Now! Re: Growers Nutritional Solutions + V.A. Tiedjens

From: Steve Diver <[email-masked]>
Date: Thu, 29 Jul 2004 10:35:56 -0500

Lloyd -

Truth be told I got that book some years ago on the advice of an
eco-farmer, maybe it was Larry Breech, primarily to gain access to
Tiedjens early work on calcium.  

But now -- through their web page and through that chapter on
liquid fertilzers in Tiedjens book -- I can see more clearly what
you've been talking about on BrixTalk in terms of low-rate
fertilizer application per acre, foliar applied for effective results.

It sure was helpful to find their web page and gain an up-to-date
understanding of the Tiedjens + Growers Nutritional Solutions
approach.  I notice they offer a soil test using the sodium acetate
extraction.  

As an aside, the Morgan universal extract used in the LaMotte Soil
Test Kits  -- commonly known as the Reams Test -- uses a sodium
acetate and acetic acid extraction.  Ammonium acetate is also used
by eco-farming labs.

As a further aside, on the topic of Reams, I think it will be
helpful to point to Agri-Energy Resources (founded by the
late Dave Larson, an articulate student of Reams) and also
Midwest Bio-Systems (founded by Edwin Blosser, a partner
with Dave Larson).

Fundamentals from Agri-Energy Resources:

Interpreting Your Soil Test | Agri-Energy Resources
http://www.agrienergy.net/interpreting2003.htm

The Soil Life - Humus - Soil Fertility Connection
http://www.agrienergy.net/ffertconn.htm

Calcium - The King of Nutrients
http://www.agrienergy.net/calcium.htm

Agri-Energy Resources Newsletter:  Foliar Edition | June 2003
http://www.agrienergy.net/Foliar%202003.pdf

Items from Midwest Bio-Systems

Midwest Bio-Systems
http://www.midwestbiosystems.com/

Baseline Soil Analysis + Microbiological + Chemical
http://www.aeromasterequipment.com/SBSF/baseline_soil_tests.html
http://www.aeromasterequipment.com/SBSF/soil_test_submission.html

Compost Test Interpretation Guide
http://www.aeromasterequipment.com/ACS/compost_quality_analysis.html

Tea Power
http://www.aeromasterequipment.com/common/store_TeaPower.html

If anybody has an opportunity to attend one of Edwin Blossers
compost seminars through Midwest Bio-Systems, I can highly
recommend it as a first-class seminar in the eco-farming tradition,
pulling together the wisdom of Albrecht, Reams, and Luebke
with articulation.  The workshop binder they hand out alone
is worth a major investment.  It is professionally done in
PowerPoint lecture notes -- topic by topic -- and it is detailed
and insightful.

Blosser works with Vickie Bess at BBC Labs and also Lynn Rogers
at Microbial Matrix to perform soil biology assays, as well as Kathleen
Draper at Agri-Energy Resources to ascertain beneficial strains of
soil microorganisms using gas chromatography.  

Best regards,
Steve Diver

""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""

Lloyd Charles wrote:

thanks heaps Steve - i had searched a number of times - couldnt understand
why they would not have a web page - name change lost me

 > More Food From Soil Science:  The Natural Chemistry of Lime in
 > Agriculture. 1965.  By V.A. Tiedjens.  Growers Chemical Corp.  
 > Milan, OH.  300 p.
 >
 > Now they are Growers Nutritional Solutions.
 >
 > Growers Nutritional Solutions | Milan, Ohio
 > http://www.growersnutritional.com

_______________________________________________
BDNow mailing list
[email-masked]
You can unsubscribe or change your options at:
http://lists.envirolink.org/mailman/listinfo/bdnow